import { expect, describe, it, beforeEach, afterEach } from "vitest";
import { PlatformTest } from "@tsed/common";
import { UserController } from "./UserController";

describe("UserController", () => {
  beforeEach(PlatformTest.create);
  afterEach(PlatformTest.reset);

  it("works", () => {
    const instance = PlatformTest.get<UserController>(UserController);
    // const instance = PlatformTest.invoke<HelloWorldController>(HelloWorldController); // get fresh instance

    expect(instance).toBeInstanceOf(UserController);
  });

  it("gets a list of users", async () => {
    const instance = PlatformTest.get<UserController>(UserController);

    const users = await instance.getList();

    expect(users).toBeInstanceOf(Array);
  });
});
